# Uses of Interface
java.lang.classfile.Signature.TypeParam

Packages that use Signature.TypeParam
Package
Description
java.lang.classfile
Provides classfile parsing, generation, and transformation library.

## Uses of Signature.TypeParam in java.lang.classfile

Methods in java.lang.classfile that return Signature.TypeParam
Modifier and Type
Method
Description
`static Signature.TypeParam`
Signature.TypeParam.`of(String identifier, Signature.RefTypeSig classBound, Signature.RefTypeSig... interfaceBounds)`
Returns a signature for a type parameter.
`static Signature.TypeParam`
Signature.TypeParam.`of(String identifier, Optional<Signature.RefTypeSig> classBound, Signature.RefTypeSig... interfaceBounds)`
Returns a signature for a type parameter.
Methods in java.lang.classfile that return types with arguments of type Signature.TypeParam
Modifier and Type
Method
Description
`List<Signature.TypeParam>`
ClassSignature.`typeParameters()`
Returns the type parameters of this class or interface, may be empty.
`List<Signature.TypeParam>`
MethodSignature.`typeParameters()`
Returns the type parameters of this method or constructor, may be empty.
Method parameters in java.lang.classfile with type arguments of type Signature.TypeParam
Modifier and Type
Method
Description
`static ClassSignature`
ClassSignature.`of(List<Signature.TypeParam> typeParameters, Signature.ClassTypeSig superclassSignature, Signature.ClassTypeSig... superinterfaceSignatures)`
Returns a class signature.
`static MethodSignature`
MethodSignature.`of(List<Signature.TypeParam> typeParameters, List<Signature.ThrowableSig> exceptions, Signature result, Signature... arguments)`
Returns a method signature.